| Linux NFC User Mode Stack

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
nfc_btoob_pairing_t Struct Reference

NFC handover bluetooth record structure definition. More...

`#include <linux_nfc_api.h>`

## Public Attributes
nfc_handover_cps_t | power_state
| Handover Carrier Power State. More...
nfc_handover_bt_type_t | type
| Handover bluetooth carrier configuration record type. More...
unsigned char * | ndef
| Handover Carrier Configuration record. More...
unsigned int | ndef_length
| Handover Carrier Configuration record length. More...
unsigned char | address [6]
| Bluetooth address. More...
unsigned char * | device_name
| Handover Carrier Data Reference name. More...
unsigned int | device_name_length
| Handover Carrier Data Reference name length. More...

## Detailed Description

NFC handover bluetooth record structure definition.

Definition at line 217 of file linux_nfc_api.h.

## Member Data Documentation

unsigned char nfc_btoob_pairing_t::address[6]

Bluetooth address.

Definition at line 238 of file linux_nfc_api.h.

unsigned char* nfc_btoob_pairing_t::device_name

Handover Carrier Data Reference name.

Definition at line 242 of file linux_nfc_api.h.

unsigned int nfc_btoob_pairing_t::device_name_length

Handover Carrier Data Reference name length.

Definition at line 246 of file linux_nfc_api.h.

unsigned char* nfc_btoob_pairing_t::ndef

Handover Carrier Configuration record.

Definition at line 230 of file linux_nfc_api.h.

unsigned int nfc_btoob_pairing_t::ndef_length

Handover Carrier Configuration record length.

Definition at line 234 of file linux_nfc_api.h.

nfc_handover_cps_t nfc_btoob_pairing_t::power_state

Handover Carrier Power State.

Definition at line 222 of file linux_nfc_api.h.

nfc_handover_bt_type_t nfc_btoob_pairing_t::type

Handover bluetooth carrier configuration record type.

Definition at line 226 of file linux_nfc_api.h.

The documentation for this struct was generated from the following file:

- C:/Users/nxp99386/Documents/Nest/libnfc-nci-linux/libnfc-nci-linux/src/include/linux_nfc_api.h